Skip to main content
POST
https://api.dintero.com/v1
/
examples
/
checkout_token
checkout_token_*
curl --request POST \
  --url https://api.dintero.com/v1/examples/checkout_token \
  --header 'content-type: <content-type>' \
  --header 'event: <event>' \
  --header 'event-delivery: <event-delivery>' \
  --data '
{
  "token": {
    "id": "<string>",
    "token": "<string>",
    "type": "payment_token",
    "status": "ACTIVE",
    "card_brand": "visa",
    "masked_pan": "476173******0416",
    "token_expiry_date": "09/2030",
    "account_id": "P12345678",
    "payment_product_type": "dintero_psp.creditcard",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "pan_expiry_date": "09/2030",
    "links": [
      {
        "href": "<string>",
        "rel": "digital_card_art",
        "mime_type": "image/png"
      }
    ],
    "customer_id": "<string>",
    "relationship_id": "<string>",
    "transaction_id": "<string>",
    "external_token_references": [
      "<string>"
    ],
    "created_by": "<string>",
    "deleted_at": "2023-11-07T05:31:56Z",
    "deleted_by": "<string>"
  }
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

event
string
required
event-delivery
string
required
event-signature
string
content-type
string
required

Body

application/json
token
object
required
event
enum<string>
Available options:
checkout_token_add

Response

event handled